[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Calendar' (#lcl)

# TCalDayOfWeek

Represents days of the week used in TCalendar.

## Declaration

Source position: calendar.pp line 69

`type TCalDayOfWeek = (`
`dowMonday,` |  | Represents Monday.
`dowTuesday,` |  | Represents Tuesday.
`dowWednesday,` |  | Represents Wednesday.
`dowThursday,` |  | Represents Thursday.
`dowFriday,` |  | Represents Friday.
`dowSaturday,` |  | Represents Saturday.
`dowSunday,` |  | Represents Sunday.
`dowDefault` |  | Use the default day of the week setting for the platform for the first day of the week. Not compatible with the value used in Delphi (dowLocaleDefault).
`);`

## Description

TCalDayOfWeek is an enumerated type with values which represent the day used as the first day of the week in TCustomCalendar and descendants.

## See also

TCustomCalendar.FirstDayOfWeek |  | Indicates the day of the week displayed as the first column in the calendar grid.